dpt-forward(1)

NAME
dpt-forward - Forward a bug or a patch upstream

SYNOPSIS
 dpt forward [option...] path/to/some.patch [bug-number]
 dpt forward [option...] bug-number [path/to/some.patch]

OPTIONS

--dist name
-d name
    Distribution name. Determined from META, the "Name" field in debian/upstream/metadata, the "Homepage" field in debian/control file or the "Source" field in debian/copyright, in that order.

--force
    Normally <dpt-forward> checks if the bug/patch is already forwarded upstream and aborts if so. With this option, the check is still done, but execution is not aborted and only a warning is issued.

--meta file
    Specifies the location of the META file. Defaults to META.json or META.yml in the current directory, whichever is found first.

--mode bug|patch
-m bug|patch
    Mode of operation. Should rarely be needed.

    Determines the meaning of the arguments. bug means that the first argument is a bug number, and the second argument is a patch file name. patch means the opposite.

    Determined from the first non-option argument and whether it looks like a bug number or a patch file name.

--offline-test
    All operations that require network are replaced with stubs, allowing for off-line testing.

--ticket number
    If present, the information is submitted to the ticket as an additional comment.

    If missing, a new ticket is created.

--tracker name
-t name
    Tracker used by the distribution. dpt forward currently supports cpan (<http://rt.cpan.org>) and github. The default is determined from the "resources->bugtracker->web" field of META. If that field is not present, cpan is used.

--tracker-url url
-u url
    Tracker URL to submit the information to. Taken from the "resources->bugtracker->web" field of META or the "Bug-Database" field in debian/upstream/metadata. Defaults to "https://rt.cpan.org/Public/Dist/Display.html?Name=dist-name" for cpan and is mandatory for github.

--use-mail
    Send bug and patch submissions by e-mail instead of creating an issue or pull request via API. As the resulting ticket URL is not known to dpt forward, it cannot mark patch and bug as forwarded.

--mailto address
    This option sets the e-mail address to forward to. The default is determined from the "resources->bugtracker->mailto" field of META or CPAN RT bug address if that field is not present.

--fallback
    Enable fallback to forwarding patches as bug reports when pull requests fail for any reason. Defaults to false.

FILES

~/.pause
    Your pause credentials. At least user and password are needed in order to create tickets on rt.cpan.org via REST API. dpt forward will fall back to email (slower, won't mark patches and bugs forwarded) otherwise.

ENVIRONMENT

DPT_GITHUB_OAUTH
    In order to perform github operations, DPT_GITHUB_OAUTH must be set. See dpt-github-oauth(1) on how to obtain an access token for your github account, and dpt-config(5) on storing settings permanently in dpt.conf.

DPT_GITHUB_ORGNAME
    Producing merge requests on github as a result of forwarding a patch requires that you belong to an organization that will own the cloned repositories from upstream. Therefore you'll need that some organization administrator invites you; for instance by using dpt-invite-github(1).

    For more details about tuning merge requests through environment variables and their defaults, please see Debian::PkgPerl::GitHub(1).

LICENSE AND COPYRIGHT

Copyright 2016 Alex Muntada.
Copyright 2014 Salvatore Bonaccorso.
Copyright 2014 Damyan Ivanov.
Copyright 2011 Alessandro Ghedini.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.